ompi/mca/ptl/base/ptl_base_sendreq.h File Reference.TH "ompi/mca/ptl/base/ptl_base_sendreq.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/ptl/base/ptl_base_sendreq.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'mca/ptl/ptl.h'\fP
.br
\fC#include 'mca/pml/base/pml_base_sendreq.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_ptl_base_send_request_t\fP \fBmca_ptl_base_send_request_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBOBJ_CLASS_DECLARATION\fP (\fBmca_ptl_base_send_request_t\fP)"
.br
.ti -1c
.RI "static void \fBmca_ptl_base_send_request_offset\fP (\fBmca_ptl_base_send_request_t\fP *request, size_t offset)"
.br
.RI "\fIAtomically increase the request offset. \fP"
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "static void mca_ptl_base_send_request_offset (\fBmca_ptl_base_send_request_t\fP * request, size_t offset)\fC [inline, static]\fP"
.PP
Atomically increase the request offset. 
.PP
\fBParameters:\fP
.RS 4
\fIrequest\fP (IN) Send request. 
.br
\fIoffset\fP (IN) Increment. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
